.modal
  display none
  &--active
    position fixed
    inset 0
    z-index 100
    display flex
    justify-content center
    align-items center
    transition-duration var(--transition-duration-out)
    @supports (-webkit-backdrop-filter blur(4px))
      transition-property backdrop-filter
    @supports not (-webkit-backdrop-filter blur(4px))
      transition-property background-color
  &--appearing
    @supports (-webkit-backdrop-filter blur(4px))
      backdrop-filter blur(4px) grayscale(.5) brightness(.5)
    @supports not (-webkit-backdrop-filter blur(4px))
      background-color rgba(0, 0, 0, .75)
    & ^[-1]__inner
      opacity 1
      transform translateY(0)
  &--closing
    backdrop-filter none
    background-color transparent
    & ^[-1]__inner
      opacity 0
      transform translateY(20%)
      transition transform .2s, opacity .2s
      transition-timing-function ease-out
  &__inner
    width var(--inner-width, fit-content)
    min-width unquote('min(30rem, 100%)')
    max-width unquote('min(60rem, 100%)')
    padding 2.5rem
    background-color white
    border-radius .25rem
    opacity 0
    transform translateY(20%)
    transition transform var(--transition-duration-out), opacity var(--transition-duration-out)
    & p:empty
      display none
  &__close
    position absolute
    top .625rem
    right .625rem
    width 1.25rem
    height 1.25rem
    background-color var(--color-mark)
    border none
    mask-image maskImage(cross)
    mask-repeat no-repeat
    mask-position center
    mask-size cover
    cursor pointer
    transition background-color var(--transition-duration-out)
    +hover()
      background-color var(--color-mark-light)
      transition-duration var(--transition-duration-in)
